<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('topspender_rewards', function (Blueprint $table) {
            $table->unsignedTinyInteger('protect_type')->default(0)->after('item_count');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('topspender_rewards', function (Blueprint $table) {
            $table->dropColumn('protect_type');
        });
    }
};
